import { SYSTEM } from "../config/system.mjs"

export default class HellbornPerk extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields
    const schema = {}
    const requiredInteger = { required: true, nullable: false, integer: true }

    schema.flavorText = new fields.StringField({required: true, initial: "", textSearch: true})
    schema.role = new fields.StringField({ required: true, nullable: false, choices: SYSTEM.PERK_ROLES, initial: "abbetor" })
    schema.level = new fields.StringField({ required: true, nullable: false, choices: SYSTEM.PERK_LEVELS, initial: "1" })

    schema.description = new fields.HTMLField({ required: true, textSearch: true })

    return schema
  }

  /** @override */
  static LOCALIZATION_PREFIXES = ["HELLBORN.Perk"]

}
